%define major	5
%define libname	%mklibname zmq %{major}
%define develname %mklibname zmq -d

Summary:	Software library for fast, message-based applications
Name:		zeromq
Version:	4.2.2
Release:	%mkrel 1
Url:		http://www.zeromq.org
Source0:	https://github.com/zeromq/libzmq/releases/download/v%{version}/zeromq-%{version}.tar.xz
Source1:	ZeroMQConfig.cmake.in
Source2:	FindUnwind.cmake
Source3:	zeromq-4.2.2-fix-ZeroMQConfig.patch
Patch0:		zeromq-4.2.2-fix-CMake-build.patch
Patch1:		zeromq-4.2.2-CMake-build-with-libunwind.patch
License:	LGPLv3+
Group:		Development/Other
BuildRequires: asciidoc
BuildRequires: cmake
BuildRequires: python
BuildRequires: lib64pgm-devel
BuildRequires: lib64sodium-devel
BuildRequires: lib64unwind-devel

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary:	Software library for fast, message-based applications
Group:		System/Libraries
Obsoletes:  lib64zeromq5
Provides:   lib64zeromq5 = %version-%release

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the %{name} shared library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  lib64zeromq-devel
Provides:   lib64zeromq-devel = %version-%release


%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

%package utils
Summary:	Utility binaries for zeromq
Group:		Development/Other

%description utils
Utility binaries for zeromq

%prep
%setup -q
%apply_patches

# Missing file from source tarball
if [[ ! -x ZeroMQConfig.cmake.in ]]; then
	install -pm644 %{_sourcedir}/ZeroMQConfig.cmake.in .
fi

# fix ZeroMQConfig
patch -p1 < %{_sourcedir}/zeromq-4.2.2-fix-ZeroMQConfig.patch

# find libunwind
install -pm644 %{_sourcedir}/FindUnwind.cmake .

# fix build with libsodium
sed -i -e 's,HAVE_LIBSODIUM,ZMQ_USE_LIBSODIUM,' builds/cmake/platform.hpp.in

%build
%cmake \
	-DCMAKE_INSTALL_DOCDIR:PATH=%{_docdir} \
	-DWITH_OPENPGM:BOOL=ON \
	-DWITH_LIBSODIUM:BOOL=ON \
	-DENABLE_DRAFTS:BOOL=ON
%make_build

# tests locally OK, fails in BS
%if 0
%check
make test -C build
%endif

%install
rm -rf %buildroot
%make_install -C build

#handle docs in files section
rm -rf %{buildroot}%{_datadir}/zmq/

# we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%doc build/AUTHORS.txt build/NEWS.txt build/COPYING*
%{_libdir}/libzmq.so.%{major}
%{_libdir}/libzmq.so.%{major}.*

%files -n %{develname}
%doc %{_docdir}/zmq/
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*
%dir %{_datadir}/cmake/ZeroMQ/
%{_datadir}/cmake/ZeroMQ/ZeroMQConfig.cmake
%{_datadir}/cmake/ZeroMQ/ZeroMQConfigVersion.cmake

%files utils
%{_bindir}/inproc_lat
%{_bindir}/inproc_thr
%{_bindir}/local_lat
%{_bindir}/local_thr
%{_bindir}/remote_lat
%{_bindir}/remote_thr


%changelog
* Fri Mar 31 2017 bb2 <bb2> - 4.2.2-1pclos2017
- import for openshot
